Subject: Re: bug#10907: 24.0.94; Updating display of Customize buffer

From: Stephen Berman <[email-masked]>
Date: Sat, 03 Mar 2012 18:03:50 +0100

On Tue, 28 Feb 2012 21:06:59 -0500 Stefan Monnier <[email-masked]> wrote:

>> Ah, thanks.  I feared as much.  Is there really no way to reevaluate a
>> defcustom in a running Emacs?
>
> Agreed that there should be some way to have a defcustom type that is
> a bit more dynamic: no need to completely reevaluate the whole
> expression, but being able to have a dynamic set of `choice's would
> be helpful.

It turns out that, at least for my use case, completely reevaluating the
whole expression in fact DTRT -- see the attached file.  Admittedly,
elegant it isn't, and AFAIK this is virtually never done (I guess that's
why it didn't occur to me when I asked the above question) -- but other
than inelegance, is there a problem with doing this?

Steve Berman